FAQ Plugin
==========

_Author: Andy Carter_

_Migration Edits: Tom Gray_


Introduction
------------

Simple FAQ plugin. Adds ability to build an FAQ section with questions grouped by category.


Installation
------------

1. Create a 'Faqs' folder in www/Plugin
2. Copy the 'Config', 'Controller' and 'Model' folders into www/Plugin/Faqs
3. Add 'Faqs' to the plugin load array in bootstrap.php.
4. Copy the config file to your app, if you would like to edit the plugin settings (/Plugin/Faqs/config.php to /app/Config/Plugin/faqs.php)
5. Run migration command for plugin;

        Console/cake Migrations.migration run all --plugin Faqs

6. Add links into the Admin menu for:-

  * /admin/faqs/
  * /admin/faqs/faq_categories


Usage
-----

For now the plugin doesn't do much other than drive the back-end. However, the Faq model comes with a handy getFaqs() method for building an array of FAQs grouped by FAQ categories. So in your controller you can do something like:-

    $this->loadModel('Faqs.Faq');
    $faqs = $this->Faq->getFaqs();
    $this->set(compact('faqs'));

### Faq Categories

If you need to add descriptions to the categories then see the plugin's config file.

Faq categories are turned on as default, these can be turned off by setting the `has_categories` value to `false` in the plugin's config file
